Skip to main content
GET
List session attachments
The devin_id is the session ID prefixed with devin- (e.g., devin-abc123).

Permissions

Requires a service user or personal access token that belongs to the organization and can view the target session. The caller can view a session if any of the following apply:
  • It created the session.
  • It holds a session.view grant on the session.
  • It has the ViewOrgSessions permission at the organization level.
ViewOrgSessions is only needed to read sessions the service user neither created nor holds a session.view grant on.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

org_id
string | null
required

Organization ID (prefix: org-)

Example:

"org-abc123def456"

devin_id
string | null
required

Devin session ID (prefix: devin-)

Example:

"devin-abc123def456"

Response

Successful Response

attachment_id
string
required
name
string
required
source
enum<string>
required
Available options:
devin,
user
url
string
required
content_type
string | null